View Issue Details

IDProjectCategoryView StatusLast Update
00303032.x IDE BugsBuild AndroidPublic2019-05-16 12:04
ReporterDanAssigned ToAntanas Budvytis 
PriorityVery HighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSWindows 10OS VersionPro x64
Product Version2.2.1 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030303: Build Android: Google have removed gradle 2.2.0 from the standard repositories, causes build fails
DescriptionGoogle have removed gradle 2.2.0 from the standard repositories over the weekend - currently unsure why they did this. This then causes projects to fail because gradle can't find its files. Existing installs are affected just as much as new ones.

Whilst we can advise a short-term fix of looking at a different repository, we need to confirm if this is a permanent change and then see about upgrading the version of gradle we require to be one Google are continuing to support.

You will see the following build error:

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project ''.
> Could not resolve all dependencies for configuration ':classpath'.
   > Could not find any version that matches com.android.tools.build:gradle:2.2.0+.
     Versions that do not match:
         2.3.0
         2.1.3
         2.1.2
         2.1.0
         2.0.0
         + 71 more
     Searched in the following locations:
         https://jcenter.bintray.com/com/android/tools/build/gradle/maven-metadata.xml
         https://jcenter.bintray.com/com/android/tools/build/gradle/
         https://repo1.maven.org/maven2/com/android/tools/build/gradle/maven-metadata.xml
     Required by:
         project :

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED
Steps To Reproduce1. Build any project for Android VM.
2. Observe it now fails with the error above.
Repro: 100%
TagsNo tags attached.
2.x IDE Found In2.2.1.375
2.x Runtime Found In2.2.1.287
2.x IDE Verified In2.2.1.375
2.x Runtime Verified In2.2.1.288

Activities

Dan

2018-12-10 17:12

Adminstrator   ~0062206

A workaround for this can now be found on https://help.yoyogames.com/hc/en-us/articles/360020501832

Dan

2018-12-17 11:28

Adminstrator   ~0062270

Fix is now in runtime 288+.

Dan

2018-12-17 13:43

Adminstrator   ~0062274

Fixed in runtime 288. Closing.